From 994077140682dc051dbdecccb50caf12ded28c6e Mon Sep 17 00:00:00 2001
From: Claude Heiland-Allen <claude@mathr.co.uk>
Date: Thu, 20 Sep 2018 07:47:26 +0100
Subject: [PATCH 16/39] use memcpy instead of strncpy to avoid warning about
 missing NUL

---
 src/formats.cxx | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/formats.cxx b/src/formats.cxx
index b14048be..328b091e 100644
--- a/src/formats.cxx
+++ b/src/formats.cxx
@@ -244,7 +244,7 @@ TYPESWITCH(type,FOO,)
 
 GRID_INLET(0) {
 	if (!headerless) {
-		strncpy(head.magic,is_le()?"\x7fgrid":"\x7fGRID",5);
+		memcpy(head.magic,is_le()?"\x7fgrid":"\x7fGRID",5);
 		switch (in.nt) {
 		case uint8_e: head.type = 9; break;
 		case int16_e: head.type = 16; break;
-- 
2.19.1

